package uoms

import (
	// m "gitlab.com/mbugroup/lti-api.git/internal/middleware"
	controller "gitlab.com/mbugroup/lti-api.git/internal/modules/master/uoms/controllers"
	uom "gitlab.com/mbugroup/lti-api.git/internal/modules/master/uoms/services"
	user "gitlab.com/mbugroup/lti-api.git/internal/modules/users/services"

	"github.com/gofiber/fiber/v2"
)

func UomRoutes(v1 fiber.Router, u user.UserService, s uom.UomService) {
	ctrl := controller.NewUomController(s)

	route := v1.Group("/uoms")

	// route.Get("/", m.Auth(u), ctrl.GetAll)
	// route.Post("/", m.Auth(u), ctrl.CreateOne)
	// route.Get("/:id", m.Auth(u), ctrl.GetOne)
	// route.Patch("/:id", m.Auth(u), ctrl.UpdateOne)
	// route.Delete("/:id", m.Auth(u), ctrl.DeleteOne)

	route.Get("/", ctrl.GetAll)
	route.Post("/", ctrl.CreateOne)
	route.Get("/:id", ctrl.GetOne)
	route.Patch("/:id", ctrl.UpdateOne)
	route.Delete("/:id", ctrl.DeleteOne)
}
